From KitwarePublic
Revision as of 18:04, 1 August 2010 by Jjomier (Talk | contribs)

Jump to: navigation, search

Adding/Changing database fields

Automatic translation to PGSQL

The postgres layer in cdash relies on some of the features of the mysqlcompat package:

The following patch to the mysqlcompat package is required to use it with recent versions of PostgreSQL:

(Note that this *is* actually a patch file, but the CDash wiki doesn't allow upload of files ending with ".patch".)

Installation on Ubuntu

 apt-get install libsql-translator-perl

Then run the script


Warning The indexes generated by the script are all the same so you would need to pre-append the table name.